﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Collections.Generic;
using System.Linq;

namespace StudentDemo
{
    public class LINQHelper
    {
        public static List<StudentTable> GetStudentInfo()  //查
        {
            List<StudentTable> ls = new List<StudentTable>();
            using (StudentDataContext context = new StudentDataContext(StudentDataContext.ConnectionString))
            {
                var query = from p in context.Students select p;
                ls = query.ToList();
            }

            return ls;
        }

        public static void AddStudentInfo(string schoolId, string name, string address)//增
        {
            using (StudentDataContext context = new StudentDataContext(StudentDataContext.ConnectionString))
            {
                StudentTable s = new StudentTable();
                s.SchoolId = schoolId;
                s.Name = name;
                s.Address = address;
                context.Students.InsertOnSubmit(s);

                context.SubmitChanges();
            }
        }

        public static void DelStudentInfo(string schoolId)//删
        {
            using (StudentDataContext context = new StudentDataContext(StudentDataContext.ConnectionString))
            {
                var query = from p in context.Students where p.SchoolId == schoolId select p;
                StudentTable studentToDelete = query.FirstOrDefault();

                context.Students.DeleteOnSubmit(studentToDelete);

                context.SubmitChanges();
            }
        }

        public static void UpdateStudentInfo(string oldSchoolId, string name, string address)
        {
            using (StudentDataContext context = new StudentDataContext(StudentDataContext.ConnectionString))
            {
                var query = from p in context.Students where p.SchoolId == oldSchoolId select p;
                StudentTable studentToUpdate = query.FirstOrDefault();

                studentToUpdate.Name = name;
                studentToUpdate.Address = address;

                context.SubmitChanges();
            }
        }
    }
}
