﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Microsoft.Phone.Controls;
using System.Windows.Navigation;

namespace StudentDemo
{
    public partial class MainPage : PhoneApplicationPage
    {
        // 构造函数
        public MainPage()
        {
            InitializeComponent();

        }

        private void btnAdd_Click(object sender, EventArgs e)
        {
            NavigationService.Navigate(new Uri("/AddPage.xaml?action=add", UriKind.Relative));
        }

        private void btnDel_Click(object sender, EventArgs e)
        {
            if (lstStudent.SelectedItem == null)
            {
                MessageBox.Show("请选择要删除的学生信息");
                return;
            }
            disableRect.Visibility = Visibility.Visible;
            ConfirmDialog.Visibility = Visibility.Visible;
        }

        private void btnEdit_Click(object sender, EventArgs e)
        {
            if (lstStudent.SelectedItem == null)
            {
                MessageBox.Show("请选择要修改的学生信息");
                return;
            }
            StudentTable student = lstStudent.SelectedItem as StudentTable;
            NavigationService.Navigate(new Uri("/AddPage.xaml?schoolId=" + student.SchoolId + "&&name=" + student.Name + "&&address=" + student.Address + "&&action=update", UriKind.Relative));
        }

        private void btnConfirm_Click(object sender, RoutedEventArgs e)
        {
            disableRect.Visibility = Visibility.Collapsed;
            ConfirmDialog.Visibility = Visibility.Collapsed;

            StudentTable student = lstStudent.SelectedItem as StudentTable;
            LINQHelper.DelStudentInfo(student.SchoolId);
            NavigationService.Navigate(new Uri("/MainPage.xaml?guid=" + Guid.NewGuid(), UriKind.Relative));
            //while (NavigationService.CanGoBack)
            //{
            //    IEnumerator<JournalEntry> list = NavigationService.BackStack.GetEnumerator();
            //    list.MoveNext();
            //    JournalEntry current = list.Current;
            //    string uri = current.Source.ToString();
            //    if (uri == "/MainPage.xaml")
            //    {
            //        NavigationService.GoBack();
            //    }
            //    else
            //    {
            //        NavigationService.RemoveBackEntry();
            //    }
            //}
        }

        private void btnCancel_Click(object sender, RoutedEventArgs e)
        {
            disableRect.Visibility = Visibility.Collapsed;
            ConfirmDialog.Visibility = Visibility.Collapsed;
        }
    }
}